/*
 * Copyright  2010 Nokia Corporation. All rights reserved. Nokia and
 * Nokia Connecting People are registered trademarks of Nokia Corporation.
 * Java and all Java-based marks are trademarks or registered trademarks of
 * Sun Microsystems, Inc. Other product and company names mentioned herein
 * may be trademarks or trade names of their respective owners.
 *
 * Subject to the conditions below, you may, without charge:
 *
 *   Use, copy, modify and/or merge copies of this software and associated
 *    documentation files (the Software)
 *
 *   Publish, distribute, sub-license and/or sell new software derived
 *    from or incorporating the Software.
 *
 *
 * This license, unmodified, shall be included with all copies or substantial
 * portions of the Software that are distributed in source code form.
 *
 * The Software cannot constitute the primary value of any new software
 * derived from or incorporating the Software.
 *
 * Any person dealing with the Software shall not misrepresent the source
 * of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
 * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

import javax.microedition.lcdui.Display;
import javax.microedition.midlet.MIDlet;
import javax.microedition.midlet.MIDletStateChangeException;

/*
 * Main class CanvasItemsExample
 * 
 * This MIDlet show examples of usage of CanvasGraphicsItem and
 * TextEditor.
 * 
 * Application starts with a login screen, where user name and password 
 * need to be entered. TextEditor and CanvasGraphicsItem are used to 
 * implement labeled text box. Once both the user name and password are entered,
 * the "Login" button is enabled, and the application can be switched to the second 
 * screen with blog post title and content text boxes.
 * 
 * The labeled text box is implemented in class CanvasTextBox. It supports single line
 * and multi line configuration, and changes its appearance depending on its state
 * (disabled, focused, non-focused), for multiline configuration implementation of 
 * simple scrollbar is demonstrated.
 * 
 * Buttons used in the application UI are implemented in class Button. CanvasGraphicsItem
 * is used as a base class. Painting on CanvasGraphicsItem is demonstrated.
 */
public class BlogWriter extends MIDlet
{
    private LoginScreen loginScreen = null;
    private Display display;

    public BlogWriter()
    {
        this.display = Display.getDisplay(this);
        // Crate login screen
        this.loginScreen = new LoginScreen(this.display);
        this.loginScreen.setParent(this);
        // Activate login screen
        this.display.setCurrent(this.loginScreen);
    }

    protected void destroyApp(boolean unconditional)
    throws MIDletStateChangeException
    {
        this.display.setCurrent(null);
        this.loginScreen.removeItems();
        this.loginScreen = null;
        this.display = null;
    }

    protected void pauseApp()
    {
    }

    protected void startApp() throws MIDletStateChangeException
    {
    }
}
